MidnightBSD Magus

devel/py-pytest-timeout

Pytest plugin to abort hanging tests

Flavor Version Run OSVersion Arch License Restricted Status
py37 1.3.2 398 1.2 amd64 mit 0 fail

Events

Machine Type Time Message
m1264 info 2020-01-19 20:42:32.285875 Test Started
m1264 fail 2020-01-19 20:42:38.164683 make test returned non-zero: 1
m1264 fail 2020-01-19 20:42:38.209059 Test complete.

Log

===>  Testing for py37-pytest-timeout-1.3.2
===>   py37-pytest-timeout-1.3.2 depends on package: py37-pytest>=3.6.0 - found
===>   py37-pytest-timeout-1.3.2 depends on package: py37-pexpect>0 - not found
===>  Installing /magus/packages/All/py37-pexpect-4.6.0.mport
===>   py37-pexpect-4.6.0 depends on package: py37-ptyprocess>=0 - not found
===>  Installing /magus/packages/All/py37-ptyprocess-0.5.1.mport
===>   py37-ptyprocess-0.5.1 depends on package: py37-setuptools>0 - found
===>   py37-ptyprocess-0.5.1 depends on file: /usr/local/bin/python3.7 - found
Installing py37-ptyprocess-0.5.1
/usr/local/share/licenses/py37-ptyprocess-0.5.1/catalog.mk
/usr/local/share/licenses/py37-ptyprocess-0.5.1/LICENSE
/usr/local/share/licenses/py37-ptyprocess-0.5.1/iscl
/usr/local/lib/python3.7/site-packages/ptyprocess-0.5.1-py3.7.egg-info/PKG-INFO
/usr/local/lib/python3.7/site-packages/ptyprocess-0.5.1-py3.7.egg-info/SOURCES.txt
/usr/local/lib/python3.7/site-packages/ptyprocess-0.5.1-py3.7.egg-info/dependency_links.txt
/usr/local/lib/python3.7/site-packages/ptyprocess-0.5.1-py3.7.egg-info/top_level.txt
/usr/local/lib/python3.7/site-packages/ptyprocess/__init__.py
/usr/local/lib/python3.7/site-packages/ptyprocess/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/ptyprocess/__pycache__/__init__.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/ptyprocess/__pycache__/_fork_pty.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/ptyprocess/__pycache__/_fork_pty.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/ptyprocess/__pycache__/ptyprocess.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/ptyprocess/__pycache__/ptyprocess.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/ptyprocess/__pycache__/util.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/ptyprocess/__pycache__/util.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/ptyprocess/_fork_pty.py
/usr/local/lib/python3.7/site-packages/ptyprocess/ptyprocess.py
/usr/local/lib/python3.7/site-packages/ptyprocess/util.py

===>  Done.
===>   py37-pexpect-4.6.0 depends on package: py37-ptyprocess>=0 - found
===>   Returning to build of py37-pexpect-4.6.0
===>   py37-pexpect-4.6.0 depends on package: py37-setuptools>0 - found
===>   py37-pexpect-4.6.0 depends on file: /usr/local/bin/python3.7 - found
Installing py37-pexpect-4.6.0
/usr/local/share/licenses/py37-pexpect-4.6.0/catalog.mk
/usr/local/share/licenses/py37-pexpect-4.6.0/LICENSE
/usr/local/share/licenses/py37-pexpect-4.6.0/iscl
/usr/local/lib/python3.7/site-packages/pexpect-4.6.0-py3.7.egg-info/PKG-INFO
/usr/local/lib/python3.7/site-packages/pexpect-4.6.0-py3.7.egg-info/SOURCES.txt
/usr/local/lib/python3.7/site-packages/pexpect-4.6.0-py3.7.egg-info/dependency_links.txt
/usr/local/lib/python3.7/site-packages/pexpect-4.6.0-py3.7.egg-info/requires.txt
/usr/local/lib/python3.7/site-packages/pexpect-4.6.0-py3.7.egg-info/top_level.txt
/usr/local/lib/python3.7/site-packages/pexpect/ANSI.py
/usr/local/lib/python3.7/site-packages/pexpect/FSM.py
/usr/local/lib/python3.7/site-packages/pexpect/__init__.py
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/ANSI.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/ANSI.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/FSM.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/FSM.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/__init__.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/_async.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/_async.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/exceptions.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/exceptions.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/expect.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/expect.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/fdpexpect.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/fdpexpect.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/popen_spawn.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/popen_spawn.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/pty_spawn.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/pty_spawn.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/pxssh.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/pxssh.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/replwrap.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/replwrap.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/run.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/run.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/screen.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/screen.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/spawnbase.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/spawnbase.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/utils.cpython-37.opt-1.pyc
/usr/local/lib/python3.7/site-packages/pexpect/__pycache__/utils.cpython-37.pyc
/usr/local/lib/python3.7/site-packages/pexpect/_async.py
/usr/local/lib/python3.7/site-packages/pexpect/bashrc.sh
/usr/local/lib/python3.7/site-packages/pexpect/exceptions.py
/usr/local/lib/python3.7/site-packages/pexpect/expect.py
/usr/local/lib/python3.7/site-packages/pexpect/fdpexpect.py
/usr/local/lib/python3.7/site-packages/pexpect/popen_spawn.py
/usr/local/lib/python3.7/site-packages/pexpect/pty_spawn.py
/usr/local/lib/python3.7/site-packages/pexpect/pxssh.py
/usr/local/lib/python3.7/site-packages/pexpect/replwrap.py
/usr/local/lib/python3.7/site-packages/pexpect/run.py
/usr/local/lib/python3.7/site-packages/pexpect/screen.py
/usr/local/lib/python3.7/site-packages/pexpect/spawnbase.py
/usr/local/lib/python3.7/site-packages/pexpect/utils.py

===>  Done.
===>   py37-pytest-timeout-1.3.2 depends on package: py37-pexpect>0 - found
===>   Returning to build of py37-pytest-timeout-1.3.2
===>   py37-pytest-timeout-1.3.2 depends on file: /usr/local/bin/python3.7 - found
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/_pytest/capture.py", line 482, in start
    os.fstat(self.targetfd_save)
OSError: [Errno 9] Bad file descriptor

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/local/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/local/lib/python3.7/site-packages/pytest.py", line 67, in 
    raise SystemExit(pytest.main())
  File "/usr/local/lib/python3.7/site-packages/_pytest/config/__init__.py", line 55, in main
    config = _prepareconfig(args, plugins)
  File "/usr/local/lib/python3.7/site-packages/_pytest/config/__init__.py", line 180, in _prepareconfig
    pluginmanager=pluginmanager, args=args
  File "/usr/local/lib/python3.7/site-packages/pluggy/__init__.py", line 617, in __call__
    return self._hookexec(self, self._nonwrappers + self._wrappers, kwargs)
  File "/usr/local/lib/python3.7/site-packages/pluggy/__init__.py", line 222, in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
  File "/usr/local/lib/python3.7/site-packages/pluggy/__init__.py", line 216, in 
    firstresult=hook.spec_opts.get('firstresult'),
  File "/usr/local/lib/python3.7/site-packages/pluggy/callers.py", line 196, in _multicall
    gen.send(outcome)
  File "/usr/local/lib/python3.7/site-packages/_pytest/helpconfig.py", line 89, in pytest_cmdline_parse
    config = outcome.get_result()
  File "/usr/local/lib/python3.7/site-packages/pluggy/callers.py", line 76, in get_result
    raise ex[1].with_traceback(ex[2])
  File "/usr/local/lib/python3.7/site-packages/pluggy/callers.py", line 180, in _multicall
    res = hook_impl.function(*args)
  File "/usr/local/lib/python3.7/site-packages/_pytest/config/__init__.py", line 612, in pytest_cmdline_parse
    self.parse(args)
  File "/usr/local/lib/python3.7/site-packages/_pytest/config/__init__.py", line 777, in parse
    self._preparse(args, addopts=addopts)
  File "/usr/local/lib/python3.7/site-packages/_pytest/config/__init__.py", line 739, in _preparse
    early_config=self, args=args, parser=self._parser
  File "/usr/local/lib/python3.7/site-packages/pluggy/__init__.py", line 617, in __call__
    return self._hookexec(self, self._nonwrappers + self._wrappers, kwargs)
  File "/usr/local/lib/python3.7/site-packages/pluggy/__init__.py", line 222, in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
  File "/usr/local/lib/python3.7/site-packages/pluggy/__init__.py", line 216, in 
    firstresult=hook.spec_opts.get('firstresult'),
  File "/usr/local/lib/python3.7/site-packages/pluggy/callers.py", line 201, in _multicall
    return outcome.get_result()
  File "/usr/local/lib/python3.7/site-packages/pluggy/callers.py", line 76, in get_result
    raise ex[1].with_traceback(ex[2])
  File "/usr/local/lib/python3.7/site-packages/pluggy/callers.py", line 175, in _multicall
    next(gen)   # first yield
  File "/usr/local/lib/python3.7/site-packages/_pytest/capture.py", line 64, in pytest_load_initial_conftests
    capman.start_global_capturing()
  File "/usr/local/lib/python3.7/site-packages/_pytest/capture.py", line 102, in start_global_capturing
    self._global_capturing.start_capturing()
  File "/usr/local/lib/python3.7/site-packages/_pytest/capture.py", line 389, in start_capturing
    self.in_.start()
  File "/usr/local/lib/python3.7/site-packages/_pytest/capture.py", line 484, in start
    raise ValueError("saved filedescriptor not valid anymore")
ValueError: saved filedescriptor not valid anymore
*** Error code 1

Stop.
make: stopped in /usr/mports/devel/py-pytest-timeout